.app.intro {
  .splash-page-box-profile-pic,
  .splash-page-box-text-container,
  .splash-page-button-container {
    animation: unset;
  }
}
.splash-page-box {
  color: white;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 50px;
  .box-bg-image {
    background-size: cover;
    background-position: 180px center;
    background-repeat: no-repeat;
    background-color: #242424;
    filter: grayscale(1) brightness(0.5);
  }
  .box-color {
    background: linear-gradient(0deg, #e71f6c, #603767);
  }
  .splash-page-box-text-container {
    position: relative;
    opacity: 1;
    left: 0;
    animation: profile-text-appear 3s;
  }
  .splash-page-box-profile-pic {
    width: 200px;
    height: 200px;
    border-radius: 50%;
    border: solid 20px white;
    background-size: 110%;
    background-position: 50% 65%;
    box-shadow: 0 5px 5px #0005;
    margin-left: -50px;
    animation: profile-appear 2s;
  }
  h2 {
    margin: 0;
  }
  h1, h2 {
    text-shadow: 0 3px 3px #0005;
  }
  .splash-page-button-container {
    position: absolute;
    right: 40px;
    bottom: 40px;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    animation: splash-page-buttons-appear 4s;
    button {
      background: white;
      width: 150px;
      box-shadow: 0 5px 5px #0005;
      transition: 0.25s;
      padding: 10px 40px;
      color: black;
      text-decoration: none;
      text-transform: uppercase;
      position: relative;
      left: 0;
      top: 0;
      margin-top: 20px;
      border: none;
      font-size: 20px;
      &:hover {
        width: 200px;
        padding-left: 0;
      }
      &:active {
        transition: 0s;
        width: 190px;
        padding-left: 0;
      }
    }
  }
}

@keyframes splash-page-buttons-appear {
  0% {
    opacity: 0;
  }
  75% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

@keyframes profile-text-appear {
  0% {
    opacity: 0;
    left: 100px;
  }
  66% {
    opacity: 0;
    left: 100px;
  }
  100% {
    opacity: 1;
    left: 0;
  }
}

@keyframes profile-text-appear-mobile {
  0% {
    opacity: 0;
    top: 30px;
  }
  66% {
    opacity: 0;
    top: 30px;
  }
  100% {
    opacity: 1;
    top: 0;
  }
}

@keyframes profile-appear {
  0% {
    width: 0;
    height: 0;
    border-width: 0;
  }
  50% {
    width: 0;
    height: 0;
    border-width: 0;
  }
  60% {
    width: 0;
    height: 0;
    border-width: 25px;
  }
  70% {
    width: 0;
    height: 0;
    border-width: 20px;
  }
  100% {
    width: 200px;
    height: 200px;
    border-width: 20px;
  }
}

@media (max-width: 1000px) {
  .splash-page-box {
    height: 100vh;
    display: flex;
    flex-direction: column;
    text-align: center;
    min-height: 700px;
    .box-bg-image {
      background-position: center 100px;
    }
    .splash-page-box-text-container {
      top: 0;
      animation: profile-text-appear-mobile 3s;
    }
    .splash-page-box-profile-pic {
      margin-left: 0;
    }
    .splash-page-button-container {
      position: relative;
      right: 0;
      bottom: 0;
      align-items: center;
      gap: 40px;
      button {
        padding: 20px 40px;
        width: 250px;
        margin: 0;
        &:hover {
          width: 250px;
          padding-left: 40px;
        }
      }
    }
  }
}
